Vulnerability CVE-2008-1423


Published: 2008-05-16   Modified: 2012-02-12

Description:
Integer overflow in a certain quantvals and quantlist calculation in Xiph.org libvorbis 1.2.0 and earlier allows remote attackers to cause a denial of service (crash) or execute arbitrary code via a crafted OGG file with a large virtual space for its codebook, which triggers a heap overflow.

CVSS2 => (AV:N/AC:M/Au:N/C:C/I:C/A:C)

CVSS Base Score
Impact Subscore
Exploitability Subscore
9.3/10
10/10
8.6/10
Exploit range
Attack complexity
Authentication
Remote
Medium
No required
Confidentiality impact
Integrity impact
Availability impact
Complete
Complete
Complete
Affected software
Xiph.org -> Libvorbis 

 References:
http://lists.opensuse.org/opensuse-security-announce/2008-06/msg00001.html
http://oval.mitre.org/repository/data/getDef?id=oval:org.mitre.oval:def:9851
http://security.gentoo.org/glsa/glsa-200806-09.xml
http://www.debian.org/security/2008/dsa-1591
http://www.mandriva.com/security/advisories?name=MDVSA-2008:102
http://www.redhat.com/support/errata/RHSA-2008-0270.html
http://www.redhat.com/support/errata/RHSA-2008-0271.html
http://www.securityfocus.com/bid/29206
http://www.securitytracker.com/id?1020029
http://www.ubuntu.com/usn/USN-682-1
http://www.vupen.com/english/advisories/2008/1510/references
http://xforce.iss.net/xforce/xfdb/42403
https://bugzilla.redhat.com/show_bug.cgi?id=440709
https://www.redhat.com/archives/fedora-package-announce/2008-May/msg00243.html
https://www.redhat.com/archives/fedora-package-announce/2008-May/msg00247.html
https://www.redhat.com/archives/fedora-package-announce/2008-May/msg00256.html

Copyright 2020, cxsecurity.com

 

Back to Top